%define gitver %(echo %version | tr . -)
Name:          re2
Version:       2024.04.01
Release:       1mamba
Summary:       A fast, safe, thread-friendly regular expression library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/google/re2
Source:        https://github.com/google/re2.git/%{gitver}/re2-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libabseil-cpp-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libabseil-cpp-devel >= 20240116.0
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
RE2 is a fast, safe, thread-friendly alternative to backtracking regular expression engines like those used in PCRE, Perl, and Python. It is a C++ library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A fast, safe, thread-friendly regular expression library

%description -n lib%{name}
RE2 is a fast, safe, thread-friendly alternative to backtracking regular expression engines like those used in PCRE, Perl, and Python. It is a C++ library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
#% cmake -d build
%make \
   prefix=%{_prefix} \
   libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   prefix=%{_prefix} \
   libdir=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libre2.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/re2
%{_includedir}/re2/*
%{_libdir}/libre2.a
%{_libdir}/libre2.so
%{_libdir}/pkgconfig/re2.pc
%doc README

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 2024.04.01-1mamba
- automatic update by autodist

* Sat Mar 09 2024 Automatic Build System <autodist@openmamba.org> 2024.03.01-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 2024.02.01-1mamba
- automatic version update by autodist

* Wed Nov 01 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.01-1mamba
- automatic version update by autodist

* Sat Sep 02 2023 Automatic Build System <autodist@mambasoft.it> 2023.09.01-1mamba
- automatic version update by autodist

* Sun Aug 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.08.01-1mamba
- update to 2023.08.01

* Thu Mar 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.03.01-1mamba
- update to 2023.03.01

* Sun Mar 29 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2020_03_03-1mamba
- update to 2020_03_03

* Fri Aug 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2019_08_01-1mamba
- update to 2019_08_01

* Sat Apr 15 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2017_04_01-1mamba
- update to 2017_04_01

* Sun Dec 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2016_11_01-1mamba
- package created using the webbuild interface
